## ros-foxy-ur-description 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_description)

find_package(ament_cmake REQUIRED)

install(
  DIRECTORY config launch meshes rviz urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

ament_package()

=== debian/changelog ===
ros-foxy-ur-description (2.0.2-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Tue, 06 Dec 2022 23:00:00 -0000

ros-foxy-ur-description (2.0.1-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 31 Jul 2022 22:00:00 -0000

ros-foxy-ur-description (2.0.0-2focal) focal; urgency=high

  * Migrated the description to ROS2
  * Added support for Gazebo and Ignition
  * Added ROS2_control definitions
  * Contributors: AndyZe, Denis Stogl, Denis Štogl, Felix Exner, John Morris, Jorge Nicho, Lovro, Lukas Sackewitz, Marvin Große Besselmann, Robert Wilbrandt, Tirine, Vatan Aksoy Tezer, livanov93, urmahp

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 19 Jun 2022 22:00:00 -0000

ros-foxy-ur-description (1.2.7-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Fri, 22 Nov 2019 23:00:00 -0000

ros-foxy-ur-description (1.2.6-2focal) focal; urgency=high

  * Add optional safety_controller tags to all joints in xacro macros (#437 <https://github.com/ros-industrial/universal_robot/issues/437>)
  * Migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Corrected dimensions and positions of inertias (#426 <https://github.com/ros-industrial/universal_robot/issues/426>)
  * Add description view launch files for all descriptions to easily check them (#435 <https://github.com/ros-industrial/universal_robot/issues/435>)
  * Contributors: Felix Mauch, JeremyZoss, Miguel Prada, Qiang Qiu, gavanderhoorn

 -- Marvin Große Besselmann <grosse@fzi.de>  Mon, 18 Nov 2019 23:00:00 -0000

ros-foxy-ur-description (1.2.5-2focal) focal; urgency=high

  * Add transmission_hw_interface to UR xacro and expose everywhere (#392 <https://github.com/ros-industrial/universal_robot/issues/392>)
  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Updated xacro namespace.
  * Update maintainer and author information.
  * Updated mesh ambience so the model isn't so dark in Gazebo
  * Fix overlapping variable names between robot definition files (#356 <https://github.com/ros-industrial/universal_robot/issues/356>)
  * Improve meshes shading (#233 <https://github.com/ros-industrial/universal_robot/issues/233>)
  * Added run_depend for xacro
  * Using the 'doc' attribute on 'arg' elements.
  * Enable self collision in gazebo
  * Contributors: Dave Niewinski, Felix von Drigalski, Harsh Deshpande, Joe, Marcel Schnirring, Miguel Prada, MonteroJJ, ipa-fxm

 -- Marvin Große Besselmann <grosse@fzi.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-foxy-ur-description (1.2.1-2focal) focal; urgency=high

  * Merge pull request #329 <https://github.com//ros-industrial/universal_robot/issues/329> from tecnalia-medical-robotics/joint_limits
    Homogenize xacro macro arguments.
  * Merge pull request #332 <https://github.com//ros-industrial/universal_robot/issues/332> from davetcoleman/kinetic_hw_iface_warning
    Remove UR3 ROS Control Hardware Interface warning
  * Remove UR3 ROS Control Hardware Interface warning
  * Extend changes to '_robot.urdf.xacro' variants as well.
  * Homogenize xacro macro arguments.
    Joint limits for the limited version could be set using arguments for the UR10
    but not for the UR3 and UR5. Same lower and upper limit arguments are added to
    the UR3 and UR5 xacro macros.
  * Fix elbow joint limits (#268 <https://github.com//ros-industrial/universal_robot/issues/268>)
  * Remove warning 'redefining global property: pi' (Jade+) (#315 <https://github.com//ros-industrial/universal_robot/issues/315>)
  * Contributors: Beatriz Leon, Dave Coleman, Felix Messmer, Miguel Prada

 -- Marvin Große Besselmann <grosse@fzi.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-foxy-ur-description (1.2.0-2focal) focal; urgency=high



 -- Marvin Große Besselmann <grosse@fzi.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-foxy-ur-description (1.1.9-2focal) focal; urgency=high

  * reintroduce 'pi', unbrake dependent xacros.
  * use '--inorder' to trigger use of jade+ xacro on Indigo.
  * Contributors: gavanderhoorn

 -- Marvin Große Besselmann <grosse@fzi.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-foxy-ur-description (1.1.8-2focal) focal; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Marvin Große Besselmann <grosse@fzi.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-foxy-ur-description (1.1.7-2focal) focal; urgency=high

  * Fix xacro warnings in Jade (#251 <https://github.com/ros-industrial/universal_robot/issues/251>)
  * added default values to xacro macro
  * tested joint limits modification
  * Contributors: Dave Coleman, G.A. vd. Hoorn, philip 14.04

 -- Marvin Große Besselmann <grosse@fzi.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-foxy-ur-description (1.1.6-2focal) focal; urgency=high

  * unify mesh names
  * add color to avoid default color 'red' for collision meshes
  * use correct DH parameter + colored meshes
  * introducing urdf for ur3 - first draft
  * unify common xacro files
  * remove obsolete urdf files
  * description: add '_joint' suffix to newly introduced joint tags.
    This is more in-line with naming of existing joint tags.
  * description: add ROS-I base and tool0 frames. Fix #49 <https://github.com/ros-industrial/universal_robot/issues/49> and #95 <https://github.com/ros-industrial/universal_robot/issues/95>.
    Note that 'base' is essentially 'base_link' but rotated by 180
    degrees over the Z-axis. This is necessary as the visual and
    collision geometries appear to also have their origins rotated
    180 degrees wrt the real robot.
    'tool0' is similar to 'ee_link', but with its orientation such
    that it coincides with an all-zeros TCP setting on the UR
    controller. Users are expected to attach their own TCP frames
    to this frame, instead of updating it (see also [1]).


=== debian/control ===
Source: ros-foxy-ur-description
Section: misc
Priority: optional
Maintainer: Marvin Große Besselmann <grosse@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ur-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-joint-state-publisher, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-robot-state-publisher, ros-foxy-rviz2, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Description: URDF description for Universal Robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ur-description//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
